Pokémon XD: Gale of Darkness

From Dolphin Emulator Wiki
Jump to: navigation, search
Pokémon XD: Gale of Darkness
300px‎
Developer(s) Genius Sonority
Publisher(s) Nintendo
Series Pokémon
Release date(s) JP August 4, 2005
NA October 3, 2005
EU November 18, 2005
AUS November 10, 2005
Genre(s) Role-playing
Mode(s) Single-player, Multiplayer (4)
Input methods GameCube Controller, Game Boy Advance
Compatibility 4PlayableEdit rating: Pokémon XD: Gale of Darkness
See also...

Dolphin Forum thread
Search Google
Search Wikipedia

Pokémon XD: Gale of Darkness, released in Japan as Pokémon Ekkusudī Yami no Kaze Dāku Rugia (ポケモンXD 闇の旋風ダーク・ルギア), is the second role-playing game from Nintendo's Pokémon franchise for the Nintendo GameCube. It is the successor of the Gamecube game Pokémon Colosseum, and takes place in Orre, the setting of Pokémon Colosseum. All of the Game Boy Advance Pokémon games can connect to this game through trading and Battle Mode.

Contents

[edit] Problems

[edit] Crashes

Pokémon XD: Gale of Darkness will load successfully on MAC OS X however during the opening cutscene where XD001 is about to use Shadow Blast on the S.S. Libra the emulator crashes. In addition, when the battle between Greevil's henchman and Zook starts, the game crashes, although this is not specifically related to MACs. Furthermore the game crashes when you try to leave the building to try and save Professor Krane.

Note: As of 4.0-1522 the emulator no longer crashes on intro video on Macs. Testing for other crashes is not yet done.

[edit] Delayed Sound with OpenAL

When using OpenAL sound, it can take upwards of 30 seconds for the audio to play. Changing the latency has no effect but does cause lag at lower values. This can be fixed by changing to DSound or XAudio2, at which point the audio plays immediately.

[edit] Configuration

This game doesn't need non-default settings to run properly. If you want to get an overview about settings related to performance, please see the performance guide. A full list of config options is available at Template:Config/doc


[edit] Version Compatibility

The graph below charts the compatibility with Pokémon XD: Gale of Darkness since Dolphin's 2.0 release, listing revisions only where a compatibility change occurred.

4.0-5935 (current)
2.0 (r5384)
Compatibility can be assumed to align with the indicated revisions. However, compatibility may extend to prior revisions or compatibility gaps may exist within ranges indicated as compatible due to limited testing. Please update as appropriate.

[edit] Testing

This game has been tested on the environments listed below:

[edit] Gameplay Videos